<!DOCTYPE html>
<html lang="en">
  <head>
    <link rel="stylesheet" href="./normalize.css" />
    <link rel="stylesheet" href="./style.css" />
    <script src="main.js"></script>
  </head>

  <body>
    <div id="main" class="app"></div>
    <script>
      var node = document.getElementById("main");
      // Start the Elm application.
      var app = Elm.Main.init({
        node: document.getElementById("main"),
      }); // Create your WebSocket.
      var socket = new WebSocket("ws://localhost:3000/ws");

      // When a command goes to the `sendMessage` port, we pass the message
      // along to the WebSocket.
      app.ports.sendMessage.subscribe(function (message) {
        console.log(message);
        socket.send(message);
      });

      // When a message comes into our WebSocket, we pass the message along
      // to the `messageReceiver` port.
      socket.addEventListener("message", function (event) {
        app.ports.messageReceiver.send(event.data);
      });
    </script>
  </body>
</html>
